Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(423)

Unified Diff: run_remote_tests.sh

Issue 6736023: Install test scripts into chroot. (Closed) Base URL: http://git.chromium.org/git/crostestutils.git@master
Patch Set: Created 9 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: run_remote_tests.sh
diff --git a/run_remote_tests.sh b/run_remote_tests.sh
index 62f586350f944968dbcfcf72140834dc5c62d021..4985bcfe18c7aa0a0fb32178691bb277e7421ee4 100755
--- a/run_remote_tests.sh
+++ b/run_remote_tests.sh
@@ -4,13 +4,11 @@
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
-# Script to run client or server tests on a live remote image.
-. $(dirname "$(readlink -f "$0")")/outside_chroot_common.sh 2> /dev/null ||
- SCRIPT_ROOT=/usr/lib/crosutils
-. "${SCRIPT_ROOT}/common.sh" ||
- (echo "Unable to load common.sh" && false) ||
+# This can only run inside the chroot.
+. "/usr/lib/crosutils/common.sh" 2> /dev/null ||
+ (echo "Must run within chroot" && false) ||
exit 1
-. "${SCRIPT_ROOT}/remote_access.sh" || die "Unable to load remote_access.sh"
+. "/usr/lib/crosutils/remote_access.sh" || die "Unable to load remote_access.sh"
sosa 2011/03/25 04:43:47 There wasn't much point in leaving this here since
DEFINE_string args "" \
"Command line arguments for test. Quoted and space separated if multiple." a
@@ -20,7 +18,6 @@ chroot)."
DEFINE_string board "" \
"The board for which you are building autotest"
DEFINE_boolean build ${FLAGS_FALSE} "Build tests while running" b
-DEFINE_string chroot "${DEFAULT_CHROOT_DIR}" "alternate chroot location" c
DEFINE_boolean cleanup ${FLAGS_FALSE} "Clean up temp directory"
DEFINE_integer iterations 1 "Iterations to run every top level test" i
DEFINE_string results_dir_root "" "alternate root results directory"
@@ -331,5 +328,4 @@ exists inside the chroot. ${FLAGS_autotest_dir} $PWD"
print_time_elapsed
}
-restart_in_chroot_if_needed "$@"
main "$@"
« cros_run_vm_test ('K') | « cros_run_vm_test ('k') | utils_py/cros_run_parallel_vm_tests.py » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698